<?php

namespace Garradin;

$session->requireAccess($session::SECTION_ACCOUNTING, $session::ACCESS_WRITE);

$recherche = new Recherche;
$target = 'compta';
$search_url = PLUGIN_URL . 'edit.php';
$user = $session->getUser();


$db = DB::getInstance();

$id = (int) qg('id');
$ok = qg('ok') ?? null;
$result = $sql_query = $search = null;
$is_unprotected = false;
$query = (object) [
	'query' => null
];

// Recherche existante
if ($id)
{
	$search = $recherche->get($id);

	if (!$search) {
		throw new UserException('Recherche inconnue ou invalide');
	}

	if ($search->type != Recherche::TYPE_JSON) {
		if ($search->type == Recherche::TYPE_SQL_UNPROTECTED) {
			$is_unprotected = true;
		}

		$sql_query = $search->contenu;
	}
	else {
		$query = $search->query;
		$query->limit = (int) f('limit') ?: $query->limit;
    }


    if ($sql_query) { // Recherche SQL
        $sql = $sql_query;
    }
    else { // Recherche avancée
        $sql = $recherche->buildQuery($target, $query->query, $query->order, $query->desc, $query->limit);
    }

    // Execute search
    $result = $recherche->searchSQL($target, $sql, null, false, $is_unprotected);

	$tpl->assign('result_header', $recherche->getResultHeader($target, $result));

}
else
{
    // Si pas de recherche sélectionnée, renvoyer vers la liste
    $tpl->assign('liste', $recherche->getList($user->id, $target));
    
}

$tpl->assign(compact('id', 'target', 'search_url', 'user', 'result', 'ok'));

$tpl->display(PLUGIN_ROOT . '/templates/edit.tpl');